%define module_name             dst
%define module_version          0.1
%define module_release          alt4

%define kversion	2.6.27
%define krelease	alt16
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.16

Summary: Linux Kernel drivers for DST.
License: GPL
Group: System/Kernel and hardware
URL: http://tservice.net.ru/~s0mbre/blog/devel/dst/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
DST is a block layer network device
These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KSRC=%_usrsrc/linux-%kversion-%flavour \
	KBUILD=%_usrsrc/linux-%kversion-%flavour 

%install
%__install -d %buildroot/%module_dir
%__cp -a %module_name.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Apr 21 2009 Michail Yakushin <silicium@altlinux.ru> 0.1-alt4.132635.16
- Build for kernel-image-std-pae-2.6.27-alt16.

* Thu Nov 06 2008 Boris Savelev <boris@altlinux.org> 0.1-alt4
- rebuild with new sources

* Mon Oct 13 2008 Boris Savelev <boris@altlinux.org> 0.1-alt3
- rebuild with new sources

* Sat Sep 20 2008 Boris Savelev <boris@altlinux.org> 0.1-alt2
- rebuild with new sources

* Tue Sep 02 2008 Boris Savelev <boris@altlinux.org> 0.1-alt1
- initial build for Sisyphus

